## Analytics Zoo Examples

### Distributed TensorFlow on Spark

* [Python examples](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/tensorflow/tfpark)

* [Scala examples](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/tensorflow/tfnet)

### Distributed PyTorch on Spark

* [Python examples](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/pytorch)

### Deep Learning using Spark Dataframe and ML Pipeline

* [Python examples](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/nnframes)

* [Scala examples](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/nnframes)

### RayOnSpark

* [Python examples](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/ray)

### Cluster Serving

* [Quick Start example](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/serving)

### Inference Model

* [Python examples](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/openvino)

* [Scala examples](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/streaming)


## Examples for Use Cases

### Recommendation

* [Neural Collaborative Filtering](https://github.com/intel-analytics/analytics-zoo/tree/master/apps/recommendation-ncf)

* [Wide & Deep](https://github.com/intel-analytics/analytics-zoo/tree/master/apps/recommendation-wide-n-deep)

### Time Series

* [Anomaly Detection](https://github.com/intel-analytics/analytics-zoo/tree/master/apps/anomaly-detection)

### Computer Vision

* [Object Detection](https://github.com/intel-analytics/analytics-zoo/tree/master/apps/object-detection)

* [Image Augmentation](https://github.com/intel-analytics/analytics-zoo/tree/master/apps/image-augmentation)

### NLP

* [Text Classification](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/textclassification)

* [QA Ranker](https://github.com/intel-analytics/analytics-zoo/tree/master/pyzoo/zoo/examples/qaranker)

